Bug 503197 - Review Request: moserial - Serial terminal for the gnome desktop
Review Request: moserial - Serial terminal for the gnome desktop
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Susi Lehtola
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-29 11:15 EDT by Terje Røsten
Modified: 2009-06-01 16:47 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-01 16:47:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
susi.lehtola: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Terje Røsten 2009-05-29 11:15:54 EDT
spec: http://terjeros.fedorapeople.org/moserial/moserial.spec
srpm: http://terjeros.fedorapeople.org/moserial/moserial-2.26.1-1.fc10.src.rpm
koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=1383370
url:  http://live.gnome.org/moserial/

description:
Moserial is a clean, friendly gtk-based serial terminal for the gnome
desktop. It is written in Vala for extra goodness.
Comment 1 Susi Lehtola 2009-05-29 16:25:11 EDT
- Package must
 Requires: yelp
for dir ownership.

- Package must own
 %{_datadir}/%{name}/
instead of
 %{_datadir}/%{name}/glade/%{name}.ui

- Is having the icon in
 %{_datadir}/icons/hicolor/48x48/apps/%{name}.png
really purposeful? As there is just one icon I'd put it in
 %{_datadir}/pixmaps/%{name}.png
Then you wouldn't need the icon cache updates, and wouldn't also need to add the missing Requires: hicolor-icon-theme for dir ownership.

- I'd nag about using macros for standard commands, but they're still allowed.

**

rpmlint output is clean.


MUST: The package does not yet exist in Fedora. The Review Request is not a duplicate. OK
MUST: The spec file for the package is legible and macros are used consistently. OK
MUST: The package must be named according to the Package Naming Guidelines. OK
MUST: The spec file name must match the base package %{name}. OK
MUST: The package must be licensed with a Fedora approved license and meet the  Licensing Guidelines. OK

MUST: The License field in the package spec file must match the actual license. NEEDSWORK
- License is GPLv3+ not GPLv3, check src/MainWindow.vala

MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. OK
MUST: The package MUST successfully compile and build into binary rpms. OK
MUST: The spec file MUST handle locales properly. OK

MUST: Optflags are used and time stamps preserved. NEEDSWORK
- Time stamps are not preserved, use INSTALL="install -p" as argument to make install.

MUST: Packages containing shared library files must call ldconfig. N/A
MUST: A package must own all directories that it creates or require the package that owns the directory. NEEDSWORK
- See comments above.

MUST: Files only listed once in %files listings. OK
MUST: Debuginfo package is complete. OK
MUST: Permissions on files must be set properly. OK
MUST: Clean section exists. OK
MUST: Large documentation files must go in a -doc subpackage. N/A

MUST: All relevant items are included in %doc. Items in %doc do not affect runtime of application. OK
- Although README is empty for now, you might want to add a
 [ -s README ] && exit 1
in the setup phase so you'll notice if it acquires content.

MUST: Header files must be in a -devel package. N/A
MUST: Static libraries must be in a -static package. N/A
MUST: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig'. N/A
MUST: If a package contains library files with a suffix then library files ending in .so must go in a -devel package. N/A
MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency. N/A
MUST: Packages does not contain any .la libtool archives. N/A
MUST: Desktop files are installed properly. OK
MUST: No file conflicts with other packages and no general names. OK
MUST: Buildroot cleaned before install. OK
SHOULD: %{?dist} tag is used in release. OK
SHOULD: If the package does not include license text(s) as separate files from upstream, the packager should query upstream to include it. OK
SHOULD: The package builds in mock. OK
Comment 2 Terje Røsten 2009-05-30 06:54:27 EDT
Changes:

- add req. on yelp
- fix dir ownership

Moving icon did not work.

spec: http://terjeros.fedorapeople.org/moserial/moserial.spec
srpm: http://terjeros.fedorapeople.org/moserial/moserial-2.26.1-2.fc10.src.rpm
Comment 3 Susi Lehtola 2009-05-30 07:26:26 EDT
(In reply to comment #2)
> Changes:
> 
> - add req. on yelp
> - fix dir ownership
> 
> Moving icon did not work.

Where did it fail?


Please, fix also the issues raised in the review.
Comment 4 Terje Røsten 2009-05-30 07:47:16 EDT
Sorry, the menu did find the icon, however the window manager (metacity) did not find it, given a less than perfect result. 

Seems like I was confused by the layout, I believed you created a summary of the problems in the top section. Now I see there are more issues. Updated package will follow soon.
Comment 5 Terje Røsten 2009-05-30 12:06:03 EDT
Here we go:

- add req. on yelp and hicolor-icon-theme
- fix dir ownership
- fix license
- preserve timestamps
- detect README changes

spec: http://terjeros.fedorapeople.org/moserial/moserial.spec
srpm: http://terjeros.fedorapeople.org/moserial/moserial-2.26.1-2.fc10.src.rpm
Comment 6 Susi Lehtola 2009-05-30 12:24:06 EDT
Everything has been fixed, so the package has been

APPROVED
Comment 7 Terje Røsten 2009-05-30 16:07:15 EDT
Thanks for the review, Jussi!



New Package CVS Request
=======================
Package Name: moserial
Short Description: Serial terminal for the gnome desktop
Owners: terjeros
Branches: F-9 F-10 F-11
InitialCC:
Comment 8 Jason Tibbitts 2009-05-31 16:12:14 EDT
CVS done.
Comment 9 Terje Røsten 2009-06-01 16:47:04 EDT
Import, built and pushed to bodhi for rawhide and Fedora 11.

Turns out moserial needs gtk >= 2.14.0 leaving Fedora < 11 out.
If anyone needs it elsewhere, please open a new ticket.

Note You need to log in before you can comment on or make changes to this bug.